Feldspar.Compiler.Imperative.Representation

class Annotation t s

data Module t

data Entity t

data StructMember t

data Block t

data Program t

data ActualParameter t

data Declaration t

data Expression t

data Function

data Constant t

data Variable t

data Length

data Size

data Signedness

data Type

data FunctionMode

data VariableRole

data Place

data TypeParameterMode

class HasType a

reprError

data Struct t

data ProcDef t

data ProcDecl t

data Empty t

data Comment t

data Assign t

data ProcedureCall t

data Spawn t

data Run t

data Sequence t

data Branch t

data SeqLoop t

data ParLoop t

data FunctionCall t

data Cast t

data SizeOf t

data ArrayElem t

data StructField t

data LeftFunCall t

data IntConst t

data FloatConst t

data BoolConst t

data ArrayConst t

data ComplexConst t

class ShowLabel t

class EqLabel t

# Set and get labels

class Labeled c